{
 "cells": [
  {
   "cell_type": "markdown",
   "id": "475ac5f0",
   "metadata": {},
   "source": [
    "# Libraries"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "108f20c8",
   "metadata": {},
   "outputs": [],
   "source": [
    "from datasets import load_dataset\n"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "43491a6a",
   "metadata": {},
   "source": [
    "# Load Data"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 11,
   "id": "76c78147",
   "metadata": {},
   "outputs": [],
   "source": [
    "from datasets import DatasetDict, load_dataset\n",
    "from evidently import Dataset\n",
    "import pandas as pd\n",
    "\n",
    "database_he = load_dataset(\"openai_humaneval\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 17,
   "id": "e76eefff",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "DatasetDict({\n",
       "    test: Dataset({\n",
       "        features: ['task_id', 'prompt', 'canonical_solution', 'test', 'entry_point'],\n",
       "        num_rows: 164\n",
       "    })\n",
       "})"
      ]
     },
     "execution_count": 17,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "database_he"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 12,
   "id": "386395f1",
   "metadata": {},
   "outputs": [],
   "source": [
    "database_he_df = database_he[\"test\"].to_pandas()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "ae12c1f3",
   "metadata": {},
   "outputs": [],
   "source": [
    "database_he_df"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 13,
   "id": "edfd2f52",
   "metadata": {},
   "outputs": [],
   "source": [
    "mbpp = load_dataset(\"mbpp\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 16,
   "id": "5c3d8120",
   "metadata": {},
   "outputs": [],
   "source": [
    "mbpp_df = mbpp[\"train\"].to_pandas()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "3d59904c",
   "metadata": {},
   "outputs": [],
   "source": [
    "mbpp_df"
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "assistance-engine",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.12.11"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
